> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vidjutsu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List assets or get by ID

> Returns a single asset if ?id= is provided, or a list. Filter by ?type=video or ?tag.key=value.



## OpenAPI

````yaml /openapi/spec.json get /v1/assets
openapi: 3.0.0
info:
  title: VidJutsu API
  version: 2026-05-24-2
servers:
  - url: https://api.vidjutsu.ai
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Assets
  - name: Editor Projects
  - name: Scrape
  - name: Billing
  - name: API Keys
  - name: Usage
  - name: Info
  - name: Pricing
  - name: Subscriptions
  - name: Auth
  - name: Accounts
  - name: Posts
  - name: References
  - name: Upload
  - name: Watch
  - name: Extract
  - name: Transcribe
  - name: Check
  - name: Compliance
  - name: Overlay
  - name: Disclaimer
  - name: Agent
paths:
  /v1/assets:
    get:
      tags:
        - Assets
      summary: List assets or get by ID
      description: >-
        Returns a single asset if ?id= is provided, or a list. Filter by
        ?type=video or ?tag.key=value.
      operationId: listOrGetAssets
      parameters:
        - name: id
          in: query
          required: false
          schema:
            type: string
          explode: false
        - name: type
          in: query
          required: false
          schema:
            type: string
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/Asset'
                  - $ref: '#/components/schemas/AssetListResponse'
components:
  schemas:
    Asset:
      type: object
      required:
        - assetId
        - clientId
        - url
        - contentType
        - type
        - status
        - createdAt
      properties:
        assetId:
          type: string
        clientId:
          type: string
        name:
          type: string
        url:
          type: string
        r2Key:
          type: string
        contentType:
          type: string
        size:
          type: integer
          format: int64
        type:
          $ref: '#/components/schemas/AssetType'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        metadata:
          type: object
          additionalProperties: {}
        status:
          $ref: '#/components/schemas/AssetStatus'
        createdAt:
          type: integer
          format: int64
    AssetListResponse:
      type: object
      required:
        - data
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
    AssetType:
      type: string
      enum:
        - video
        - image
        - audio
        - other
    Tag:
      type: object
      required:
        - key
        - value
      properties:
        key:
          type: string
        value:
          type: string
    AssetStatus:
      type: string
      enum:
        - active
        - deleted
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````